Delete file
curl --request DELETE \
--url https://api.example.com/api/files/{file_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/files/{file_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Files
Delete file
Delete a file by its unique ID.
DELETE
/
api
/
files
/
{file_id}
Delete file
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID of the file to delete.
Response
File deleted successfully.
The response is of type string.
Was this page helpful?
⌘I

